> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get the deployment's evaluation overview

GET https://astropods.com/api/v1/deployments/{id}/evaluations/overview

Reference: https://docs.astropods.com/api-reference/astropods-api/evaluations/get-the-deployments-evaluation-overview

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID

### Query parameters

- `start_time` (string, required) — Window start, RFC3339
- `end_time` (string, required) — Window end, RFC3339, at most 91 days after start_time

## Response

### 200

OK

- `evaluators` (list of EvaluationOverviewEvaluator, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### EvaluationOverviewEvaluator

- `average` (double, optional, nullable)
- `daily` (list of EvaluationOverviewDay, optional)
- `description` (string, optional)
- `key` (string, optional)
- `label` (string, optional)
- `output_type` (string, optional)
- `previous_average` (double, optional, nullable)
- `previous_total` (integer, optional)
- `total` (integer, optional)
- `values` (list of EvaluationOverviewValue, optional)

### EvaluationOverviewDay

- `average` (double, optional, nullable)
- `counts` (map from string to integer, optional)
- `date` (string, optional)

### EvaluationOverviewValue

- `count` (integer, optional)
- `previous_count` (integer, optional)
- `value` (string, optional)

## Examples

**Response**

```json
{
  "evaluators": [
    {
      "average": 1.1,
      "daily": [
        {
          "average": 1.1,
          "counts": {},
          "date": "string"
        }
      ],
      "description": "string",
      "key": "string",
      "label": "string",
      "output_type": "string",
      "previous_average": 1.1,
      "previous_total": 1,
      "total": 1,
      "values": [
        {
          "count": 1,
          "previous_count": 1,
          "value": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/evaluations/overview"

querystring = {"end_time":"end_time","start_time":"start_time"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/evaluations/overview?end_time=end_time&start_time=start_time")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```